# Type alias gmfAuthenticationConfig

gmfAuthenticationConfig: { allowPasswordChange: boolean; allowPasswordReset: boolean }

The Authentication configuration.

#### Type declaration

- ##### allowPasswordChange: boolean

  Whether to show the change password button. Default to true. You can also specify a `PasswordValidator` object to add constraint on user's new password.

- ##### allowPasswordReset: boolean

  Whether to show the password forgotten link. Default to true.

- Defined in config.ts:972

Generated using TypeDoc